"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  EventLog: () => EventLog
});
module.exports = __toCommonJS(src_exports);
var import_discord = require("discord.js");
var import_pure_cat = require("pure-cat");
class EventLog extends import_pure_cat.Module {
  async ready(bot) {
    bot.logger.sys({ message: { event: "ready" } });
    return super.ready(bot);
  }
  async guildCreate(bot, guild) {
    return bot.logger.sys({ message: { event: "guildCreate", guild } });
  }
  async messageCreate(bot, message) {
    const guild = message.guild;
    if (!guild) {
      return;
    }
    if (message.channel instanceof import_discord.TextChannel) {
      return bot.logger.log(guild, {
        actor: message.author.username,
        message: {
          event: "message",
          channel: message.channel.name,
          content: message.content,
          attachments: message.attachments.map((a) => a.url)
        }
      });
    }
  }
  async interactionCreate(bot, interaction) {
    const guild = interaction.guild;
    if (!guild) {
      return;
    }
    if (interaction.isCommand()) {
      return bot.logger.log(guild, {
        actor: interaction.user.username,
        message: {
          event: "command",
          command: interaction.commandName,
          options: interaction.options
        }
      });
    }
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  EventLog
});
